Bug 1647202 - After Upgrading from Satellite 6.3 to Satellite 6.4 the gofer & katello-agent packages get installed in the satellite 6.4 server as satellite-tools-repository-6.4 gets enabled but during a fresh installation of satellite 6.4 cannot see the same scenario.
Summary: After Upgrading from Satellite 6.3 to Satellite 6.4 the gofer & katello-agent...
Status: NEW
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Foreman Maintain   
(Show other bugs)
Version: 6.4.0
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: Unspecified
Assignee: Anurag Patel
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Keywords: Triaged, Upgrades
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-06 20:59 UTC by Vikas Wariyal
Modified: 2019-03-22 03:13 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3703561 Troubleshoot None Executing subscription-manager command on Red Hat Satellite 6.3 fails with error: The server rate limit has been exceed... 2019-03-21 19:58 UTC

Description Vikas Wariyal 2018-11-06 20:59:58 UTC
Description of problem:

After Upgrading from Satellite 6.3 to Satellite 6.4 the 
gofer-2.12.1-1.el7sat.noarch & katello-agent-3.3.5-3.el7sat.noarch packages get installed in the satellite 6.4 server as satellite-tools-repository-6.4 also gets enabled but during a fresh installation of satellite 6.4 cannot see the same scenario , neither the tools repository gets enabled nor both the packages.

Version-Release number of selected component (if applicable):

satellite-6.4.0-15.el7sat.noarch
gofer-2.12.1-1.el7sat.noarch 
katello-agent-3.3.5-3.el7sat.noarch


How reproducible:

During upgrade from Satellite 6.3 -> Satellite 6.4

Steps to Reproduce:

1.Upgrade through the regular method using foreman-maintain commands from Satellite 6.3 -> 6.4.
2.Run the below commands to confirm after successful upgrade.
# rpm -qa | grep gofer 
# rpm -qa | grep katello-agent 
# yum repolist


Actual results:
#rpm -qa | grep gofer
gofer-2.12.1-1.el7sat.noarch -<<< Not required
python-gofer-2.12.1-1.el7sat.noarch
python-gofer-proton-2.12.1-1.el7sat.noarch
python-gofer-qpid-2.12.1-1.el7sat.noarch

#rpm -qa | grep katello-agent 
katello-agent-3.3.5-3.el7sat.noarch -<<< Not required

#yum repolist

rhel-7-server-satellite-tools-6.4-rpms/x86_64  -<<< Not required               
rhel-7-server-ansible-2.6-rpms/x86_64             
rhel-7-server-rpms/7Server/x86_64         
rhel-7-server-satellite-6.4-rpms/x86_64   
rhel-7-server-satellite-maintenance-6-rpms/x86_64
rhel-server-rhscl-7-rpms/7Server/x86_64          

Expected results:

#rpm -qa | grep gofer
python-gofer-2.12.1-1.el7sat.noarch
python-gofer-proton-2.12.1-1.el7sat.noarch
python-gofer-qpid-2.12.1-1.el7sat.noarch


#rpm -qa | grep katello-agent 
No output

#yum repolist
               
rhel-7-server-ansible-2.6-rpms/x86_64             
rhel-7-server-rpms/7Server/x86_64         
rhel-7-server-satellite-6.4-rpms/x86_64   
rhel-7-server-satellite-maintenance-6-rpms/x86_64
rhel-server-rhscl-7-rpms/7Server/x86_64 

Additional info:
We can understand that during upgrade the issue is happening while during fresh installation we cannot see any deviation. I have tested the same scenario on the test environment.

Comment 1 Brad Buckingham 2018-11-09 16:37:23 UTC
Vikas,

Is it possible that the 6.3 instance was a self-registered Satellite?

Comment 2 Martin Schlossarek 2018-11-09 17:00:20 UTC
Hi,

I'm the one who originally reported the bug at red hat customer portal. 

No it was not a self-registered satellite (which is not supported since 6.3).

Our satellite is registered to the RHSM network.

Comment 3 Vikas Wariyal 2018-11-09 17:31:56 UTC
Brad

No , it is not a self registered satellite.

Comment 5 Matt 2018-11-18 14:50:54 UTC
I can confirm that I am also seeing this same behavior on a system that was upgraded from Satellite 6.3 to 6.4.

In addition to what was mentioned already, the katello-host-tools package also got installed (dependency to katello-agent), which added the enabled_repos_upload yum plugin, which wasn't there before the upgrade. This causes yum to try to upload the "Enabled Repositories Report" with every yum command, which then fails every time:

Uploading Enabled Repositories Report
Loaded plugins: langpacks, product-id, subscription-manager
Loaded plugins: langpacks, product-id, subscription-manager
Loaded plugins: langpacks, product-id, subscription-manager
Loaded plugins: langpacks, product-id, subscription-manager
Loaded plugins: langpacks, product-id, subscription-manager
Loaded plugins: langpacks, product-id, subscription-manager
Loaded plugins: langpacks, product-id, subscription-manager
Unable to upload Enabled Repositories Report

(Notice also the multiple "Loaded plugins:..." lines bug per bz#1625649.)

This didn't happen before the upgrade to 6.4.

I also recently set up a new Satellite server with a clean install of 6.4 and didn't run into this issue, matching what has already been discovered to be the case.


Not sure if this is related or not, but I also noticed the Satellite server host show up as an unregistered content host on the same Satellite server itself, which wasn't there before. This Satellite server has always been registered to the RHSM network (i.e. it was *never* a self-registered Satellite).

It's almost as if maybe the 6.3->6.4 upgrade attempted to (partially) register the Satellite server to itself or to RHSM, including enabling the tools repo and installing the packages that would normally be enabled/installed on an actual registered client host...??

I can open up a separate case with Red Hat Support on this, if that would help...??

Comment 6 Martin Schlossarek 2018-11-19 09:45:29 UTC
(In reply to Matt from comment #5)
> I can confirm that I am also seeing this same behavior on a system that was
> upgraded from Satellite 6.3 to 6.4.
> 
> In addition to what was mentioned already, the katello-host-tools package
> also got installed (dependency to katello-agent), which added the
> enabled_repos_upload yum plugin, which wasn't there before the upgrade. This
> causes yum to try to upload the "Enabled Repositories Report" with every yum
> command, which then fails every time:
> 
> Uploading Enabled Repositories Report
> Loaded plugins: langpacks, product-id, subscription-manager
> Loaded plugins: langpacks, product-id, subscription-manager
> Loaded plugins: langpacks, product-id, subscription-manager
> Loaded plugins: langpacks, product-id, subscription-manager
> Loaded plugins: langpacks, product-id, subscription-manager
> Loaded plugins: langpacks, product-id, subscription-manager
> Loaded plugins: langpacks, product-id, subscription-manager
> Unable to upload Enabled Repositories Report
> 
> (Notice also the multiple "Loaded plugins:..." lines bug per bz#1625649.)
> 
> This didn't happen before the upgrade to 6.4.

I can confirm this behavior and have already mentioned it in the official Red Hat Portal case. I think this should be mentioned in the description.

Comment 13 Ben 2019-02-22 13:43:01 UTC
I just upgraded from 6.3.5 -> 6.4.2 and suffered the same installation of gofer/katello-agent/katello-host-tools on a Satellite that has never been self-registered.  

Cleaning them off fixed the multiple "Loaded plugins" lines issue, as well as the problem with foreman-maintain announcing

[...]
Check if EPEL repository enabled on system: 
| Checking for presence of EPEL repositoryUnable to upload Enabled Repositories Report
\ Checking for presence of EPEL repository                            [OK]
[...]

Comment 14 Johannes Grumböck 2019-03-21 09:18:56 UTC
I ran into the same problem as Ben in comment #13.
Also upgrade a non-self-registered Satellite from 6.3.5 -> 6.4.2 and gofer/katello-agent/katello-host-tools were installed.
Needed to do "yum remove katello-host-tools" to have a functional yum again (without upload_enabled_repos plugin).


Note You need to log in before you can comment on or make changes to this bug.